{ config, pkgs, lib, ... }:

let
  tiggerGit = builtins.fetchTarball https://github.com/astro/tigger/archive/master.tar.gz;
in
{
  imports =
    [ ../../../lib/lxc-container.nix
      ../../../lib/shared.nix
      ../../../lib/admins.nix
      "${tiggerGit}/module.nix"
    ];

  networking.hostName = "mucbot";
  networking.useNetworkd = true;
  networking.defaultGateway = "172.22.99.4";
  networking.useDHCP = lib.mkForce true;

  services.tigger = {
    enable = true;
    jid = import ../../../secrets/hosts/mucbot/jabber-jid.nix;
    password = import ../../../secrets/hosts/mucbot/jabber-password.nix;
    muc = "c3d2@chat.c3d2.de/Astrobot";
  };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "18.09"; # Did you read the comment?
}
