{ config, pkgs, lib, ... }:

let ncdcPort = 1512;
in {
  services.uhub = {
    enable = true;
    enableTLS = false;
    port = 19061;
    hubConfig = ''
      hub_name=c3d2
      hub_description=<<</>>
      show_banner_sys_info=0
    '';
    plugins.history.enable = true;
    plugins.welcome = {
      enable = true;
      motd = ''
          ______    ______
         / / / /   / /\ \ \
        / / / /   / /  \ \ \
        \ \ \ \  / /   / / /
         \_\_\_\/_/   /_/_/
      '';
    };
  };

  networking.firewall.allowedTCPPorts = [ ncdcPort config.services.uhub.port ];
  networking.firewall.allowedUDPPorts = [ ncdcPort ];

  users.users.ncdc = {
    isNormalUser = true;
    uid = 1511;
    openssh.authorizedKeys.keys =
      config.users.users.root.openssh.authorizedKeys.keys;
  };
}
