{ config, pkgs, lib, ... }:

let
  ncdcPort = 1512;
in
{
  users.users.ncdc =
    { isNormalUser = true;
      uid = ncdcPort;
      openssh.authorizedKeys.keys =
        config.users.users.k-ot.openssh.authorizedKeys.keys;
      password = "k-ot";
      packages = [ pkgs.tmux pkgs.ncdc ];
    };
  networking.firewall.allowedTCPPorts = [ ncdcPort ];
  networking.firewall.allowedUDPPorts = [ ncdcPort ];
}

