{ pkgs ? import <nixpkgs> {} }:
let
  jobsets = {
    spacemsg = {
      enabled = 1;
      hidden = false;
      description = "Astro's HQ IoT stuff";
      nixexprinput = "nix-config";
      nixexprpath = "hydra/spacemsg.nix";
      checkinterval = 300;
      schedulingshares = 100;
      enableemail = true;
      emailoverride = "astro@spaceboyz.net";
      keepnr = 3;
      inputs = {
        c3d2 = {
          type = "git";
          value = "https://gitea.c3d2.de/C3D2/nix-config.git hydra 1";
          emailresponsible = false;
        };
        nixpkgs = {
          type = "git";
          value = "git://github.com/NixOS/nixpkgs.git release-19.03";
          emailresponsible = false;
        };
      };
    };
  };

  jobsetsJson = pkgs.writeText "jobsets.json" (builtins.toJSON jobsets );
in
{
  jobsets = pkgs.runCommand "spec.json" {} ''
    ln -s ${jobsetsJson} $out
  '';
}
