{ config, pkgs, ... }:

{
  networking = {
    nameservers = [ "172.20.72.6" "9.9.9.9" "74.82.42.42" ];
  };

  # add central logging
  services.journalbeat = {
    enable = true;
    extraConfig = ''
      journalbeat:
        seek_position: cursor
        cursor_seek_fallback: tail
        write_cursor_state: true
        cursor_flush_period: 5s
        clean_field_names: true
        convert_to_numbers: false
        move_metadata_to_field: journal
        default_type: journal
        kernel: true
      output.logstash:
        # Boolean flag to enable or disable the output module.
        enabled: true
        hosts: ["logging.serv.zentralwerk.org:5044", "172.20.73.13:5044"]
        '';
  };

}
